Bug 436937 - Review Request: python-jinja - Sandboxed template engine
Review Request: python-jinja - Sandboxed template engine
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-11 05:30 EDT by Thomas Moschny
Modified: 2008-03-28 09:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.2-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-28 09:57:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Moschny 2008-03-11 05:30:55 EDT
Spec URL: http://thm.fedorapeople.org/python-jinja.spec
SRPM URL: http://thm.fedorapeople.org/python-jinja-1.2-1.fc8.src.rpm

Description: Jinja is a sandboxed template engine written in pure Python. It
provides a Django-like non-XML syntax and compiles templates into
executable python code. It's basically a combination of Django
templates and python code.
Comment 1 Parag AN(पराग) 2008-03-12 02:16:49 EDT
Review:
+ package builds in mock.
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=512281
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
1235a005ade00b213800ff1e798c0241  Jinja-1.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.
APPROVED.
Comment 2 Thomas Moschny 2008-03-12 04:47:10 EDT
Thanks for reviewing!
Comment 3 Thomas Moschny 2008-03-12 04:49:16 EDT
New Package CVS Request
=======================
Package Name: python-jinja
Short Description: Sandboxed template engine
Owners: thm
Branches: F-7 F-8
InitialCC: none
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-03-12 13:33:53 EDT
cvs done.
Comment 5 Fedora Update System 2008-03-12 19:24:53 EDT
python-jinja-1.2-1.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-03-12 19:29:51 EDT
python-jinja-1.2-1.fc7 has been submitted as an update for Fedora 7
Comment 7 Fedora Update System 2008-03-13 03:45:40 EDT
python-jinja-1.2-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-jinja'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2439
Comment 8 Fedora Update System 2008-03-28 09:57:08 EDT
python-jinja-1.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-03-28 09:58:45 EDT
python-jinja-1.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.